def acceleration_menu():
    print("Acceleration Calculator")
    print("1: a = (vf - vi) / t")
    print("2: a = F / m")
    print("3: Kinematic Equations")
    print("4: Centripetal Acceleration")
    print("5: Angular Acceleration")
    choice = input("Choose a method (1-5): ")
    return choice

def basic_acceleration():
    vi = float(input("Enter initial velocity (vi): "))
    vf = float(input("Enter final velocity (vf): "))
    t = float(input("Enter time (t): "))
    a = (vf - vi) / t
    print("Acceleration (a) =", a)

def force_mass_acceleration():
    F = float(input("Enter force (F): "))
    m = float(input("Enter mass (m): "))
    a = F / m
    print("Acceleration (a) =", a)

def kinematic_equations():
    print("Kinematic Equations:")
    print("1: vf = vi + at")
    print("2: s = vi*t + (1/2)*a*t^2")
    print("3: vf^2 = vi^2 + 2*a*s")
    kin_choice = input("Choose an equation (1-3): ")
    
    if kin_choice == '1':
        vi = float(input("Enter initial velocity (vi): "))
        a = float(input("Enter acceleration (a): "))
        t = float(input("Enter time (t): "))
        vf = vi + a * t
        print("Final velocity (vf) =", vf)
    elif kin_choice == '2':
        vi = float(input("Enter initial velocity (vi): "))
        t = float(input("Enter time (t): "))
        a = float(input("Enter acceleration (a): "))
        s = vi * t + 0.5 * a * t**2
        print("Displacement (s) =", s)
    elif kin_choice == '3':
        vi = float(input("Enter initial velocity (vi): "))
        a = float(input("Enter acceleration (a): "))
        s = float(input("Enter displacement (s): "))
        vf2 = vi**2 + 2 * a * s
        print("Final velocity squared (vf^2) =", vf2)
    else:
        print("Invalid choice.")

def centripetal_acceleration():
    v = float(input("Enter velocity (v): "))
    r = float(input("Enter radius (r): "))
    ac = v**2 / r
    print("Centripetal Acceleration (ac) =", ac)

def angular_acceleration():
    w_initial = float(input("Enter initial angular velocity (ωi): "))
    w_final = float(input("Enter final angular velocity (ωf): "))
    t = float(input("Enter time (t): "))
    alpha = (w_final - w_initial) / t
    print("Angular Acceleration (α) =", alpha)

def main():
    choice = acceleration_menu()
    
    if choice == '1':
        basic_acceleration()
    elif choice == '2':
        force_mass_acceleration()
    elif choice == '3':
        kinematic_equations()
    elif choice == '4':
        centripetal_acceleration()
    elif choice == '5':
        angular_acceleration()
    else:
        print("Invalid choice.")

main()